/*
 * Copyright (C) 2012 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.caliper.bridge;

import com.google.common.base.Splitter;

/**
 * An abstract class for messages that generated by the worker to convey information to the runner.
 */
public abstract class CaliperControlLogMessage extends LogMessage {
  static final String SEPARATOR = "//";
  static final Splitter CONTROL_TYPE_SPLITTER = Splitter.on(SEPARATOR).limit(2);
  static final String CONTROL_PREFIX = SEPARATOR + "\u0279\u01DDd\u0131\u0283\u0250\u2183"
      + SEPARATOR;

  CaliperControlLogMessage() {}
}
